Bug 1001325 - [RFE] When using sssd-ad in a forest should be able to flatten usernames for all domains
[RFE] When using sssd-ad in a forest should be able to flatten usernames for ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 17:59 EDT by Colin.Simpson
Modified: 2015-02-18 06:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:25:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin.Simpson 2013-08-26 17:59:18 EDT
Description of problem:

When using sssd-ad there should be an option to flatten usernames for all domains in a forest. For the domain you are joined to this option is possible with "use_fully_qualified_names = False" but I believe there is no option to extend this to all domains.

I realise this isn't default to catch the case where the same username has been used on multiple domains. But this is generally considered bad practice. I'd have thought if the same username does exist on multiple domains the result should essentially be undefined or some sort of search order (if this hypothetical option existed).

This is useful (maybe even required) for several reasons:

1/ Not having an option for this makes migration from other directory services tricky. Users and esp their config files in homedirs expect a simple username. 

2/ If "use_fully_qualified_names = False" is used on one domain (maybe forced from above) the user will essentially have a different user names on machines joined to different domains. With NFS homedirs this will break lots of things.

3/ The domain style usernames are just downright ugly IMHO

4/ Commercial AD Linux integration solutions (I seem to remember the default on some) provide this option so presumably a need in the commercial environment.
Comment 1 Colin.Simpson 2013-08-30 23:10:52 EDT
Opened upstream RFE on this here:

https://fedorahosted.org/sssd/ticket/2069
Comment 2 Jakub Hrozek 2013-09-02 05:36:52 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2069
Comment 3 Jakub Hrozek 2013-09-25 19:35:54 EDT
Bug tracked upstream -> ASSIGNED
Comment 4 Fedora End Of Life 2015-01-09 17:16:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:25:14 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.